
package net.mcreator.hypixelstuff.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.hypixelstuff.HypixelStuffModElements;

@HypixelStuffModElements.ModElement.Tag
public class ExcaliberItem extends HypixelStuffModElements.ModElement {
	@ObjectHolder("hypixel_stuff:excaliber")
	public static final Item block = null;
	public ExcaliberItem(HypixelStuffModElements instance) {
		super(instance, 37);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 100;
			}

			public float getEfficiency() {
				return 4f;
			}

			public float getAttackDamage() {
				return 98.5f;
			}

			public int getHarvestLevel() {
				return 1;
			}

			public int getEnchantability() {
				return 2;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 3, 76f, new Item.Properties().group(ItemGroup.TOOLS)) {
		}.setRegistryName("excaliber"));
	}
}
